/*------------------------------------*\
    
    WebFX CF7 Customizations - Global styling for all CF7 Forms

    Add custom CF7 form styling to this file if it should be applied to all CF7 forms on the site
    Otherwise, put your block-specific styles in individual block stylesheets so that various block-specific styles aren't loaded on every CF7 form

\*------------------------------------*/

/* Default Radio/Checkbox Style (if using CF7) */
.wpcf7-radio .wpcf7-list-item,
.wpcf7-checkbox .wpcf7-list-item {
    display: inline-block;
    margin-right: 15px;
    margin-bottom: 10px;
    /* incase items go to 2 lines */
}

.wpcf7-radio .wpcf7-list-item-label,
.wpcf7-checkbox .wpcf7-list-item-label {
    margin-left: 5px;
}

/* CF7 Validation (Remove if not using CF7) */

/* Individual field error messages */
.wpcf7-not-valid-tip {
    position: absolute;
    right: 15px;
    bottom: 12px;
}

.wpcf7-response-output {

}

select.wpcf7-not-valid,
textarea.wpcf7-not-valid,
input.wpcf7-not-valid,
.wpcf7-not-valid .choices {
    border-bottom: 3px solid #C22500 !important;
    padding: 8px 42px 8px 15px !important;
}



/*
 * Contact Form Block CSS
 */
.contact-form__form {
    margin-top: 35px;
}



/*
 * GForm CSS
 */
.gform_heading {
    display: none;
}

div.gform_wrapper.gravity-theme {
    padding: 30px;
}

div.gform_wrapper.gravity-theme .gform_fields {
    grid-row-gap: 25px;
}

div.gform_wrapper.gravity-theme .ginput_container_date input,
div.gform_wrapper.gravity-theme .gfield input.medium, 
div.gform_wrapper.gravity-theme .gfield select.medium {
    width: 100%;
}

div.gform_wrapper.gravity-theme .ginput_container_date input {
    text-transform: uppercase;
}

div.gform_wrapper.gravity-theme .gform_footer, 
div.gform_wrapper.gravity-theme .gform_page_footer {
    margin-top: 14px;
}

div.gform_wrapper.gravity-theme .gform_button,
div.gform_wrapper.gravity-theme .gform-theme-button {
    margin-bottom: 0 !important;
}

div.gform_wrapper.gravity-theme h3 {
    padding-bottom: 15px;
}

div.gform_wrapper.gravity-theme p {
    font-size: 16px;
    font-weight: 400;
}

div.gform_wrapper.gravity-theme .gfield-margin--negative {
    margin-bottom: -21px;
}

/* Checkbox and Radio */
div.gform_wrapper.gravity-theme .gfield-choice-input {
    appearance: none;
}

div.gform_wrapper.gravity-theme .gchoice .gform-field-label {
    position: relative;
    padding-left: 25px;
    padding-bottom: 0;
    color: #fff;
}

div.gform_wrapper.gravity-theme .gchoice .gform-field-label::before,
div.gform_wrapper.gravity-theme .gchoice .gform-field-label::after {
    content: "";
    width: 16px;
    height: 16px;
    position: absolute;
    top: 3px;
    left: 0;
    border: 1px solid #fff;
    border-radius: 4px;
}

div.gform_wrapper.gravity-theme .gchoice .gform-field-label::after {
    z-index: 5;
    transform: rotate(45deg);
    height: 12px;
    width: 6px;
    border-bottom: 3px solid #ffad0a;
    border-right: 3px solid #ffad0a;
    border-left: none;
    border-top: none;
    top: 2px;
    border-radius: 0;
    left: 8px;
    opacity: 0;
}

div.gform_wrapper.gravity-theme .gchoice input:checked + .gform-field-label::after {
    opacity: 1;
}

div.gform_wrapper.gravity-theme .gfield_radio .gchoice .gform-field-label::before {
    border-radius: 100%;
}

div.gform_wrapper.gravity-theme .gfield_radio .gchoice .gform-field-label::after {
    width: 10px;
    height: 10px;
    border: none;
    transform: none;
    background: #ffad0a;
    border-radius: 100%;
    top: 6px;
    left: 3px;
}

@media (min-width: 1200px) {
    div.gform_wrapper.gravity-theme {
        padding: 60px;
    }
}


/* GForm Validation */
div.gform_wrapper.gravity-theme .gform_validation_errors,
div.gform_wrapper.gravity-theme .gfield_validation_message {
    display: none;
}

div.gform_wrapper.gravity-theme .gfield.gfield_error .gfield_label {
    color: #fff;
}

div.gform_wrapper.gravity-theme .gfield.gfield_error input[type=text],
div.gform_wrapper.gravity-theme .gfield.gfield_error input[type=tel],
div.gform_wrapper.gravity-theme .gfield.gfield_error input[type=email],
div.gform_wrapper.gravity-theme .gfield.gfield_error textarea,
.calculator-form input[type=text].is-invalid,
.calculator-form input[type=date].is-invalid {
    border-width: 0 0 3px;
    padding-right: 35px !important;
    border-color: #C22500 !important;
}

div.gform_wrapper.gravity-theme .gfield.gfield_error .ginput_container input[type=text],
div.gform_wrapper.gravity-theme .gfield.gfield_error .ginput_container input[type=tel],
div.gform_wrapper.gravity-theme .gfield.gfield_error .ginput_container input[type=email],
div.gform_wrapper.gravity-theme .gfield.gfield_error .ginput_container textarea,
.calculator-form input[type=text].is-invalid,
.calculator-form input[type=date].is-invalid {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18.355' height='16.644' viewBox='0 0 18.355 16.644'%3E%3Cg id='warning_7_' data-name='warning (7)' transform='translate(0 -22.643)'%3E%3Cpath id='Path_204' data-name='Path 204' d='M17.988,35.161,11.557,24.023a2.736,2.736,0,0,0-4.753,0L.37,35.161a2.749,2.749,0,0,0,2.377,4.126H15.589A2.763,2.763,0,0,0,17.988,35.161ZM9.177,36.816a1.024,1.024,0,1,1,0-2.048,1.024,1.024,0,0,1,0,2.048ZM10.11,30.2c-.045.793-.094,1.583-.14,2.377-.023.257-.023.491-.023.744a.771.771,0,0,1-.771.744.754.754,0,0,1-.771-.722c-.068-1.235-.14-2.448-.208-3.684-.023-.325-.045-.654-.072-.979a1.112,1.112,0,0,1,.793-1.118,1.027,1.027,0,0,1,1.19.582,1.221,1.221,0,0,1,.094.514C10.182,29.173,10.133,29.687,10.11,30.2Z' transform='translate(0)' fill='%23c22500'/%3E%3C/g%3E%3C/svg%3E%0A");
    background-repeat: no-repeat;
    background-position: calc(100% - 15px);
}

div.gform_wrapper.gravity-theme .ginput_complex label, 
div.gform_wrapper.gravity-theme .ginput_complex legend {
    color: #fff;
}

div.gform_wrapper.gravity-theme .gfield.gfield_error .ginput_container_radio,
div.gform_wrapper.gravity-theme .gfield.gfield_error .ginput_container_checkbox {
    position: relative;
    border-bottom: 3px solid #c02b0a;
    padding-bottom: 10px;
}

div.gform_wrapper.gravity-theme .gfield.gfield_error .ginput_container_radio::before,
div.gform_wrapper.gravity-theme .gfield.gfield_error .ginput_container_checkbox::before {
    content: "";
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18.355' height='16.644' viewBox='0 0 18.355 16.644'%3E%3Cg id='warning_7_' data-name='warning (7)' transform='translate(0 -22.643)'%3E%3Cpath id='Path_204' data-name='Path 204' d='M17.988,35.161,11.557,24.023a2.736,2.736,0,0,0-4.753,0L.37,35.161a2.749,2.749,0,0,0,2.377,4.126H15.589A2.763,2.763,0,0,0,17.988,35.161ZM9.177,36.816a1.024,1.024,0,1,1,0-2.048,1.024,1.024,0,0,1,0,2.048ZM10.11,30.2c-.045.793-.094,1.583-.14,2.377-.023.257-.023.491-.023.744a.771.771,0,0,1-.771.744.754.754,0,0,1-.771-.722c-.068-1.235-.14-2.448-.208-3.684-.023-.325-.045-.654-.072-.979a1.112,1.112,0,0,1,.793-1.118,1.027,1.027,0,0,1,1.19.582,1.221,1.221,0,0,1,.094.514C10.182,29.173,10.133,29.687,10.11,30.2Z' transform='translate(0)' fill='%23c22500'/%3E%3C/g%3E%3C/svg%3E%0A");
    position: absolute;
    width: 18px;
    height: 16px;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
}

/* Default Forms */
.contact-form__form {
    background: transparent;
      background-color: transparent;
    backdrop-filter: blur(30px);
    --webkit-backdrop-filter: blur(30px);
    background-color: rgba(255, 255, 255, 0.15);
    border-radius: 10px;
}

/* Choices Validation */
.choices__inner.is-invalid::before {
    content: "";
    width: calc(100% - 10px);
    height: 3px;
    background: #C22500;
    position: absolute;
    bottom: 0;
    left: 0;
    border-bottom-left-radius: 4px;
}